Page 1 of 3 123 LastLast
Results 1 to 10 of 21

Thread: Does not start YaSt2

  1. #1

    Default Does not start YaSt2

    Hi.

    I wanted to remove kaffeine.
    Automatically I was asked to remove something else, not looked closely and remove it.
    After that:
    --------------------------------------------------------------------------------------------------------------------
    hostname:~ # yast2
    This application failed to start because it could not find or load the Qt platform plugin "xcb".

    Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.

    Reinstalling the application may fix this problem.
    /sbin/yast2: line 440: 4428 Aborted $y2ccbin $Y2UI_ARGS "$@"

    --------------------------------------------------------------------------------------------------------------------
    or:
    --------------------------------------------------------------------------------------------------------------------
    hostname:~ # yast2 sw_single
    YaST got signal 6 at file /usr/share/YaST2/modules/Wizard.rb:836
    /sbin/yast2: line 440: 4694 Aborted $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS

    --------------------------------------------------------------------------------------------------------------------

    rpm -V yast2 has empty output, reinstall yast2 (and kaffeine) did not help, all pkg's xcb reinstalled and delivered generally all that contain this word ...
    Google has not helped.

    Does anyone have ideas how to fix this error?

    PRETTY_NAME="openSUSE 13.2 (Harlequin) (x86_64)"
    3.16.7-7-desktop
    yast2-3.1.109-4.2.x86_64

    Thank you very much...

  2. #2
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Does not start YaSt2

    How about;
    zypper in -f -t pattern yast2_basis
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  3. #3

    Default Re: Does not start YaSt2

    Quote Originally Posted by valerik View Post
    rpm -V yast2 has empty output, reinstall yast2 (and kaffeine) did not help
    Obviously.
    Kaffeine is a KDE4/Qt4 application, while yast2 uses Qt5. So they are totally independent of each other regarding their dependencies.

    And I doubt that removing Kaffeine would have removed anything YaST needs, it should only automatically remove things that require Kaffeine, i.e. nothing I suppose.

    Do you maybe have "Cleanup when deleting packages" enabled?
    This could remove other stuff that is seen as unwanted. Although it of course shouldn't remove things that are actually required by other packages...
    In this case I'd say it is a bug, either in the Packagemanagement stack or in packages' dependencies.

    Anyway, /var/log/YaST2/y2log should probably have more details what's missing.
    Please post the output of this:
    Code:
    sudo tail /var/log/YaST2/y2log
    The error message you posted would point to /usr/lib64/qt5/plugins/platforms/libqxcb.so, but according to your error message it should actually be installed. (it is listed as available)

    So probably you have a mismatch of some Qt5 libraries.
    Please post the output of these commands:
    Code:
    ldd /usr/lib64/qt5/plugins/platforms/libqxcb.so
    Code:
    zypper lr -d
    Code:
    rpm -qa libQt5*

  4. #4

    Default Re: Does not start YaSt2

    Quote Originally Posted by Miuku View Post
    How about;
    zypper in -f -t pattern yast2_basis
    hostname~# zypper in -f -t pattern yast2_basis
    Loading repository data...
    Reading installed packages...
    Forcing installation of 'yast2_basis-20141007-2.1.x86_64' from repository 'openSUSE-13.2-Oss'.
    Resolving package dependencies...

    The following package is going to be reinstalled:
    patterns-openSUSE-yast2_basis

    The following pattern is going to be reinstalled:
    yast2_basis

    1 package to reinstall.
    Overall download size: 44.9 KiB. Already cached: 0 B No additional space will be used or freed after the operation.
    Continue? [y/n/? shows all options] (y): y
    Retrieving package patterns-openSUSE-yast2_basis-20141007-2.1.x86_64 (1/1), 44.9 KiB ( 57 B unpacked)
    Retrieving: patterns-openSUSE-yast2_basis-20141007-2.1.x86_64.rpm .....................................................................................................................................................[done]
    Checking for file conflicts: ..........................................................................................................................................................................................[done]
    (1/1) Installing: patterns-openSUSE-yast2_basis-20141007-2.1 ..........................................................................................................................................................[done]

    hostname:/var/log/YaST2 # yast2
    This application failed to start because it could not find or load the Qt platform plugin "xcb".

    Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.

    Reinstalling the application may fix this problem.
    /sbin/yast2: line 440: 7480 Aborted $y2ccbin $Y2UI_ARGS "$@"


  5. #5
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Does not start YaSt2

    So much that for idea, so here is another that might shed some light to the issue although if I were to make a guess some QT libraries are messed up.

    Please open a konsole window, type: su to switch to root privileges and run the following command: strace -e open yast2

    It will output a _lot_ of text. Copy paste the result and encode it in CODE tags, like;
    Code:
    cool example!
    Edit:
    Noticed Wolfi threw an even better idea, better follow his advice :-)
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  6. #6

    Default Re: Does not start YaSt2

    Quote Originally Posted by wolfi323 View Post
    Obviously.
    Kaffeine is a KDE4/Qt4 application, while yast2 uses Qt5. So they are totally independent of each other regarding their dependencies.

    And I doubt that removing Kaffeine would have removed anything YaST needs, it should only automatically remove things that require Kaffeine, i.e. nothing I suppose.

    Do you maybe have "Cleanup when deleting packages" enabled?
    I think yes. This future is enabled.


    Anyway, /var/log/YaST2/y2log should probably have more details what's missing.
    Please post the output of this:
    Code:
    sudo tail /var/log/YaST2/y2log
    This log is too big...
    ...
    2015-01-13 10:28:24 <1> hostanme(4694) [Pkg] modules/PackageCallbacks.rb:2915 Pkg Builtin called: CallbackInitDownload
    2015-01-13 10:28:24 <1> hostanme(4694) [Pkg] modules/PackageCallbacks.rb:2916 Pkg Builtin called: CallbackStartDownload
    2015-01-13 10:28:24 <1> hostanme(4694) [Pkg] modules/PackageCallbacks.rb:2919 Pkg Builtin called: CallbackProgressDownload
    2015-01-13 10:28:24 <1> hostanme(4694) [Pkg] modules/PackageCallbacks.rb:2925 Pkg Builtin called: CallbackDoneDownload
    2015-01-13 10:28:24 <1> hostanme(4694) [Pkg] modules/PackageCallbacks.rb:2928 Pkg Builtin called: CallbackDestDownload
    2015-01-13 10:28:24 <1> hostanme(4694) [Pkg] modules/PackageCallbacks.rb:2929 Pkg Builtin called: CallbackStartRefresh
    2015-01-13 10:28:24 <1> hostanme(4694) [Pkg] modules/PackageCallbacks.rb:2930 Pkg Builtin called: CallbackDoneRefresh
    2015-01-13 10:28:25 <1> hostanme(4694) [Ruby] modules/Misc.rb:197 ."/etc/os-release"."NAME": 'openSUSE'
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YSettings.cc(setProgDir):60 Set progDir to "/usr/share/YaST2"
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YSettings.cc(setProgDir):61 progDir is now locked.
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YSettings.cc(setLocaleDir):146 Set localeDir to "/usr/share/YaST2/locale"
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YSettings.cc(setLocaleDir):147 localeDir is now locked.
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YPath.cc(YPath):49 Given filename: libyui-qt.so.6
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YSettings.cc(progDir):73 progDir: "/usr/share/YaST2"
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YPath.cc(YPath):65 Preferring subdir: /usr/share/YaST2
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YPath.cc(YPath):66 Subdir given with filename:.
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YPath.cc(YPath):67 Looking for: libyui-qt.so.6
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YPath.cc(lsDir):138 Looking in /usr/lib64/yui
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YPath.cc(YPath):118 Found libyui-qt.so.6 in /usr/lib64/yui
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YUI.cc(YUI):76 This is libyui 3.1.4
    2015-01-13 10:28:25 <1> hostanme(4694) [ui] YUI.cc(YUI):77 Creating UI with threads
    2015-01-13 10:28:25 <1> hostanme(4694) [qt-ui] YQUI.cc(YQUI):100 This is libyui-qt 2.46.13
    2015-01-13 10:28:25 <3> hostanme(4694) [qt-ui] YQUI.cc(qMessageHandler):733 <libqt-fatal> This application failed to start because it could not find or load the Qt platform plugin "xcb".
    2015-01-13 10:28:25 <3> hostanme(4694) [qt-ui] YQUI.cc(qMessageHandler):733.
    2015-01-13 10:28:25 <3> hostanme(4694) [qt-ui] YQUI.cc(qMessageHandler):733 Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.
    2015-01-13 10:28:25 <3> hostanme(4694) [qt-ui] YQUI.cc(qMessageHandler):733.
    2015-01-13 10:28:25 <3> hostanme(4694) [qt-ui] YQUI.cc(qMessageHandler):733 Reinstalling the application may fix this problem.

    The error message you posted would point to /usr/lib64/qt5/plugins/platforms/libqxcb.so, but according to your error message it should actually be installed. (it is listed as available)

    So probably you have a mismatch of some Qt5 libraries.
    Please post the output of these commands:
    Code:
    ldd /usr/lib64/qt5/plugins/platforms/libqxcb.so
    linux-vdso.so.1 (0x00007fff967d8000)
    libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007f83862c6000)
    libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007f83860b6000)
    libxcb-render-util.so.0 => /usr/lib64/libxcb-render-util.so.0 (0x00007f8385eb1000)
    libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007f8385ca9000)
    libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007f8385a8c000)
    libdl.so.2 => /lib64/libdl.so.2 (0x00007f8385887000)
    libxcb-glx.so.0 => /usr/lib64/libxcb-glx.so.0 (0x00007f838566f000)
    libxcb-render.so.0 => /usr/lib64/libxcb-render.so.0 (0x00007f8385465000)
    libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f8385244000)
    libxcb-image.so.0 => /usr/lib64/libxcb-image.so.0 (0x00007f838503f000)
    libxcb-icccm.so.4 => /usr/lib64/libxcb-icccm.so.4 (0x00007f8384e39000)
    libxcb-sync.so.1 => /usr/lib64/libxcb-sync.so.1 (0x00007f8384c32000)
    libxcb-xfixes.so.0 => /usr/lib64/libxcb-xfixes.so.0 (0x00007f8384a2b000)
    libxcb-shm.so.0 => /usr/lib64/libxcb-shm.so.0 (0x00007f8384828000)
    libxcb-randr.so.0 => /usr/lib64/libxcb-randr.so.0 (0x00007f8384619000)
    libxcb-shape.so.0 => /usr/lib64/libxcb-shape.so.0 (0x00007f8384415000)
    libxcb-keysyms.so.1 => /usr/lib64/libxcb-keysyms.so.1 (0x00007f8384212000)
    libxcb-xkb.so.1 => /usr/lib64/libxcb-xkb.so.1 (0x00007f8383ff6000)
    libxkbcommon-x11-0.4.3.so => /usr/lib64/libxkbcommon-x11-0.4.3.so (0x00007f8383dee000)
    libxkbcommon-0.4.3.so => /usr/lib64/libxkbcommon-0.4.3.so (0x00007f8383bb2000)
    libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007f8383973000)
    libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f83836dd000)
    libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f83833cf000)
    libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007f83831c4000)
    libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f8382e86000)
    libQt5DBus.so.5 => not found
    libQt5Gui.so.5 => /usr/lib64/libQt5Gui.so.5 (0x00007f8382776000)
    libQt5Core.so.5 => /usr/lib64/libQt5Core.so.5 (0x00007f83820b0000)
    libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007f8381e20000)
    libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f8381c02000)
    libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f83818fa000)
    libm.so.6 => /lib64/libm.so.6 (0x00007f83815f9000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f8381250000)
    libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f838103e000)
    libuuid.so.1 => /usr/lib64/libuuid.so.1 (0x00007f8380e39000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f83867b5000)
    libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f8380c34000)
    libxcb-util.so.1 => /usr/lib64/libxcb-util.so.1 (0x00007f8380a2e000)
    libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f8380803000)
    libz.so.1 => /lib64/libz.so.1 (0x00007f83805ed000)
    libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007f83803b0000)
    libpcre.so.1 => /usr/lib64/libpcre.so.1 (0x00007f8380145000)
    libharfbuzz.so.0 => /usr/lib64/libharfbuzz.so.0 (0x00007f837feec000)
    libicui18n.so.53.1 => /usr/lib64/libicui18n.so.53.1 (0x00007f837faa9000)
    libicuuc.so.53.1 => /usr/lib64/libicuuc.so.53.1 (0x00007f837f726000)
    libpcre16.so.0 => /usr/lib64/libpcre16.so.0 (0x00007f837f4c6000)
    librt.so.1 => /lib64/librt.so.1 (0x00007f837f2be000)
    libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f837f0a6000)
    libglapi.so.0 => /usr/lib64/libglapi.so.0 (0x00007f837ee7c000)
    libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007f837ec79000)
    libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f837ea72000)
    libxcb-dri2.so.0 => /usr/lib64/libxcb-dri2.so.0 (0x00007f837e86d000)
    libxcb-dri3.so.0 => /usr/lib64/libxcb-dri3.so.0 (0x00007f837e66a000)
    libxcb-present.so.0 => /usr/lib64/libxcb-present.so.0 (0x00007f837e466000)
    libxshmfence.so.1 => /usr/lib64/libxshmfence.so.1 (0x00007f837e263000)
    libXxf86vm.so.1 => /usr/lib64/libXxf86vm.so.1 (0x00007f837e05d000)
    libdrm.so.2 => /usr/lib64/libdrm.so.2 (0x00007f837de50000)
    libgraphite2.so.3 => /usr/lib64/libgraphite2.so.3 (0x00007f837dc33000)
    libicudata.so.53.1 => /usr/lib64/libicudata.so.53.1 (0x00007f837da31000)


    Code:
    zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+--------------------------------------+-----------------------------------------------------+---------+---------+----------+--------+------------------------------------------------------------------------------------+--------
    1 | DarkTable_nb | DarkTable nb | Yes | Yes | 40 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    2 | Packman_all_in_one | Packman all in one | Yes | Yes | 40 | rpm-md | http://packman.inode.at/suse/openSUSE_13.2/ |
    3 | Packman_essentials | Packman essentials | No | No | 40 | rpm-md | http://packman.inode.at/suse/openSUSE_13.2/Essentials/ |
    4 | Packman_multimedia | Packman multimedia | No | No | 40 | rpm-md | http://packman.inode.at/suse/openSUSE_13.2/Multimedia/ |
    5 | download.opensuse.org-Stable | openSUSE BuildService - LibreOffice | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    6 | download.opensuse.org-Virtualization | openSUSE BuildService - Virtualization (VirtualBox) | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    7 | download.opensuse.org-Wine | openSUSE BuildService - Wine CVS Builds | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    8 | ftp.gwdg.de-suse | Packman Repository | No | No | 40 | rpm-md | http://ftp.gwdg.de/pub/linux/packman...openSUSE_13.2/ |
    9 | openSUSE-13.2-0 | openSUSE-13.2-0 | No | No | 99 | yast2 | hd:///?device=/dev/disk/by-id/scsi-20001020000060804-part2 |
    10 | repo-debug | openSUSE-13.2-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/d...13.2/repo/oss/ |
    11 | repo-debug-update | openSUSE-13.2-Update-Debug | No | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.2/ |
    12 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | No | Yes | 99 | NONE | http://download.opensuse.org/debug/update/13.2-non-oss/ |
    13 | repo-non-oss | openSUSE-13.2-Non-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    14 | repo-oss | openSUSE-13.2-Oss | Yes | Yes | 99 | yast2 | http://download.opensuse.org/distrib...13.2/repo/oss/ |
    15 | repo-source | openSUSE-13.2-Source | No | Yes | 99 | NONE | http://download.opensuse.org/source/...13.2/repo/oss/ |
    16 | repo-update | openSUSE-13.2-Update | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2/ |
    17 | repo-update-non-oss | openSUSE-13.2-Update-Non-Oss | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/13.2-non-oss/

    Code:
    rpm -qa libQt5*

    libQt5Widgets5-5.3.2-8.4.x86_64
    libQt5Widgets5-32bit-5.3.2-8.4.x86_64
    libQt5Gui5-5.3.2-8.4.x86_64
    libQt5Sql5-postgresql-5.3.2-8.4.x86_64
    libQt5Core5-5.3.2-8.4.x86_64
    libQt5Core5-32bit-5.3.2-8.4.x86_64
    libQt5DBus5-32bit-5.3.2-8.4.x86_64
    libQt5X11Extras5-5.3.2-1.2.x86_64
    libQt5Sql5-5.3.2-8.4.x86_64
    libQt5Gui5-32bit-5.3.2-8.4.x86_64

  7. #7
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Does not start YaSt2

    I spy with my little eye, something missing; libQt5DBus.so.5 => not found

    zypper in libQt5DBus5

    perhaps?
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  8. #8

    Default Re: Does not start YaSt2

    Quote Originally Posted by valerik View Post
    This log is too big...
    Hm? "tail" should only print a certain amount of lines.
    Anyway, unfortunately it doesn't tell more than the error message you posted already.

    But ldd shows what's the problem:
    Code:
    libQt5DBus.so.5 => not found
    So reinstall the package libQt5DBus5 and YaST should work again hopefully.

    Another thing though:
    Code:
    libQt5Widgets5-5.3.2-8.4.x86_64
    libQt5Widgets5-32bit-5.3.2-8.4.x86_64
    libQt5Gui5-5.3.2-8.4.x86_64
    libQt5Sql5-postgresql-5.3.2-8.4.x86_64
    libQt5Core5-5.3.2-8.4.x86_64
    libQt5Core5-32bit-5.3.2-8.4.x86_64
    libQt5DBus5-32bit-5.3.2-8.4.x86_64
    libQt5X11Extras5-5.3.2-1.2.x86_64
    libQt5Sql5-5.3.2-8.4.x86_64
    libQt5Gui5-32bit-5.3.2-8.4.x86_64
    There are some -32bit packages in there, which you probably don't need (or do you have any 3rd-party 32bit Qt5 applications installed?).
    In particular libQt5DBus5-32bit. This probably got installed to satisfy the dependencies when libQt5DBus5 was removed.
    Probably you got a conflict dialog that offered as one choice to install the "inferior" architecture instead, which you accepted? I wouldn't see any bug then really.

    You probably could remove all those xxx-32bit packages, this should install the required 64bit libQt5DBus5 automatically as well.

    PS: There are definitely no wrong dependencies. If I try to remove libQt5DBus5 here, 356 other packages are removed (I have Plasma5 and many KF5 applications installed), including yast2-control-center-qt...
    So yast2-control-center-qt does correctly _require_ libQt5DBus5 (actually libQt5Gui5 does).
    Last edited by wolfi323; 13-Jan-2015 at 04:21.

  9. #9

    Default Re: Does not start YaSt2

    Quote Originally Posted by wolfi323 View Post
    Hm? "tail" should only print a certain amount of lines.
    Anyway, unfortunately it doesn't tell more than the error message you posted already.

    But ldd shows what's the problem:
    Code:
    libQt5DBus.so.5 => not found
    So reinstall the package libQt5DBus5 and YaST should work again hopefully.
    Thank you very much!
    It worked.

  10. #10
    Join Date
    Jan 2015
    Location
    Munich
    Posts
    7

    Default Re: Does not start YaSt2

    Quote Originally Posted by valerik View Post
    Thank you very much!
    It worked.
    Hi, this is my 1st post here, please excuse if I missed relevant information.

    I'm having the same issue here:
    xxxxxx:/home/linux # yast2
    This application failed to start because it could not find or load the Qt platform plugin "xcb".

    Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.

    Reinstalling the application may fix this problem.
    /sbin/yast2: Zeile 440: 8045 Abgebrochen $y2ccbin $Y2UI_ARGS "$@"

    Tail log shows the following:
    xxxx:/home/linux # tail /var/log/YaST2/y2log
    2015-01-21 10:04:15 <1> linux-jfuk(5579) [Y2Ruby] binary/YRuby.cc(~YRuby):107 Shutting down ruby interpreter.
    2015-01-21 10:04:15 <1> linux-jfuk(5219) [ncurses] NCurses.cc(RedirectToLog):560 isatty(stderr)yes
    2015-01-21 10:04:15 <1> linux-jfuk(5219) [ncurses] NCurses.cc(RedirectToLog):569 isatty(stdout)yes
    2015-01-21 10:04:15 <1> linux-jfuk(5219) [Ruby] clients/menu.rb:305 Got 0 from /sbin/yast sw_single >&2
    2015-01-21 10:04:52 <1> linux-jfuk(5219) [ncurses] YNCursesUI.cc(~YNCursesUI):113 Stop YNCursesUI
    2015-01-21 10:04:52 <1> linux-jfuk(5219) [ncurses] NCurses.cc(~NCurses):145 Shutdown NCurses...
    2015-01-21 10:04:52 <1> linux-jfuk(5219) [ncurses] NCurses.cc(~NCurses):164 NCurses down
    2015-01-21 10:04:52 <1> linux-jfuk(5219) [liby2] genericfrontend.cc(main):778 Finished YaST2 component 'y2base'
    2015-01-21 10:04:52 <1> linux-jfuk(5219) [liby2] genericfrontend.cc(main):783 Exiting with client return value 'nil'
    2015-01-21 10:04:52 <1> linux-jfuk(5219) [Y2Ruby] binary/YRuby.cc(~YRuby):107 Shutting down ruby interpreter.

    I don't seem to have the same files missing as valerik though:
    xxxxxx:/home/linux # ldd /usr/lib64/qt5/plugins/platforms/libqxcb.so
    linux-vdso.so.1 (0x00007fff037fc000)
    libX11-xcb.so.1 => /usr/lib64/libX11-xcb.so.1 (0x00007f6da5727000)
    libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007f6da5517000)
    libxcb-render-util.so.0 => /usr/lib64/libxcb-render-util.so.0 (0x00007f6da5312000)
    libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007f6da510a000)
    libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007f6da4eed000)
    libdl.so.2 => /lib64/libdl.so.2 (0x00007f6da4ce8000)
    libxcb-glx.so.0 => /usr/lib64/libxcb-glx.so.0 (0x00007f6da4ad0000)
    libxcb-render.so.0 => /usr/lib64/libxcb-render.so.0 (0x00007f6da48c6000)
    libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007f6da46a5000)
    libxcb-image.so.0 => /usr/lib64/libxcb-image.so.0 (0x00007f6da44a0000)
    libxcb-icccm.so.4 => /usr/lib64/libxcb-icccm.so.4 (0x00007f6da429a000)
    libxcb-sync.so.1 => /usr/lib64/libxcb-sync.so.1 (0x00007f6da4093000)
    libxcb-xfixes.so.0 => /usr/lib64/libxcb-xfixes.so.0 (0x00007f6da3e8c000)
    libxcb-shm.so.0 => /usr/lib64/libxcb-shm.so.0 (0x00007f6da3c89000)
    libxcb-randr.so.0 => /usr/lib64/libxcb-randr.so.0 (0x00007f6da3a7a000)
    libxcb-shape.so.0 => /usr/lib64/libxcb-shape.so.0 (0x00007f6da3876000)
    libxcb-keysyms.so.1 => /usr/lib64/libxcb-keysyms.so.1 (0x00007f6da3673000)
    libxcb-xkb.so.1 => /usr/lib64/libxcb-xkb.so.1 (0x00007f6da3457000)
    libxkbcommon-x11-0.4.3.so => /usr/lib64/libxkbcommon-x11-0.4.3.so (0x00007f6da324f000)
    libxkbcommon-0.4.3.so => /usr/lib64/libxkbcommon-0.4.3.so (0x00007f6da3013000)
    libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007f6da2dd4000)
    libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007f6da2b3e000)
    libglib-2.0.so.0 => /usr/lib64/libglib-2.0.so.0 (0x00007f6da2830000)
    libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007f6da2625000)
    libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007f6da22e7000)
    libQt5DBus.so.5 => /usr/lib64/libQt5DBus.so.5 (0x00007f6da2067000)
    libQt5Gui.so.5 => /usr/lib64/libQt5Gui.so.5 (0x00007f6da1906000)
    libQt5Core.so.5 => /usr/lib64/libQt5Core.so.5 (0x00007f6da1242000)
    libGL.so.1 => /usr/lib64/libGL.so.1 (0x00007f6da0fb2000)
    libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f6da0d94000)
    libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f6da0a8c000)
    libm.so.6 => /lib64/libm.so.6 (0x00007f6da078b000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f6da03e2000)
    libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007f6da01d0000)
    libuuid.so.1 => /usr/lib64/libuuid.so.1 (0x00007f6d9ffcb000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f6da5c09000)
    libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007f6d9fdc6000)
    libxcb-util.so.1 => /usr/lib64/libxcb-util.so.1 (0x00007f6d9fbc0000)
    libexpat.so.1 => /usr/lib64/libexpat.so.1 (0x00007f6d9f995000)
    libz.so.1 => /lib64/libz.so.1 (0x00007f6d9f77f000)
    libpng16.so.16 => /usr/lib64/libpng16.so.16 (0x00007f6d9f542000)
    libpcre.so.1 => /usr/lib64/libpcre.so.1 (0x00007f6d9f2d7000)
    libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f6d9f090000)
    libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f6d9ee79000)
    libicui18n.so.51.2 => /usr/lib64/libicui18n.so.51.2 (0x00007f6d9ea67000)
    libicuuc.so.51.2 => /usr/lib64/libicuuc.so.51.2 (0x00007f6d9e6ea000)
    libpcre16.so.0 => /usr/lib64/libpcre16.so.0 (0x00007f6d9e48a000)
    librt.so.1 => /lib64/librt.so.1 (0x00007f6d9e281000)
    libglapi.so.0 => /usr/lib64/libglapi.so.0 (0x00007f6d9e057000)
    libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00007f6d9de54000)
    libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007f6d9dc4d000)
    libxcb-dri2.so.0 => /usr/lib64/libxcb-dri2.so.0 (0x00007f6d9da48000)
    libxcb-dri3.so.0 => /usr/lib64/libxcb-dri3.so.0 (0x00007f6d9d845000)
    libxcb-present.so.0 => /usr/lib64/libxcb-present.so.0 (0x00007f6d9d641000)
    libxshmfence.so.1 => /usr/lib64/libxshmfence.so.1 (0x00007f6d9d43e000)
    libXxf86vm.so.1 => /usr/lib64/libXxf86vm.so.1 (0x00007f6d9d238000)
    libdrm.so.2 => /usr/lib64/libdrm.so.2 (0x00007f6d9d02b000)
    libicudata.so.51.2 => /usr/lib64/libicudata.so.51.2 (0x00007f6d9ce2a000)

    I already compared my values with valeriks but didn't see any completely missing entires. Anyone have any ideas? I'd want to avoid to reinstall the entire system again.

    cheers,
    cpt_chaos

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •